{% extends 'base.html' %}
{% load static %}

{% block main %}
<main id="main" class="w-100 main container border rounded border-white py-4 my-3 d-flex flex-column">
    <div class="mb-5">
        <h2 class="text-center mb-3">Les parties en pause</h2>
    </div>
    {% if alert %}
    <div class="w-100 d-flex justify-content-center align-items-center align-content-center">
        <div class="alert alert-{% if alert.type == 'success' %}success{% else %}danger{% endif %}" role="alert">
            {{ alert.message }}
        </div>
    </div>
    {% endif %}
    {% if names %}
    <div id="playing-layout" class="d-flex flex-row align-items-start justify-content-start gap-1 w-100">
        <div id="playing-center" class="d-flex flex-column align-items-start justify-content-start gap-3 w-100">
            <table class="table table-dark table-striped">
                <thead>
                    <tr>
                        <th scope="col" class="text-center align-middle w-50">Pause</th>
                        <th scope="col" class="text-center align-middle w-50">Action</th>
                    </tr>
                </thead>

                <tbody>
                    {% for name in names %}
                    <tr>
                        <th class="text-center align-middle">Pause de <span class="fw-bold">{{ name }}</span></th>
                        <th class="text-center align-middle">
                            <div
                                class="w-100 h-100 d-flex justify-content-center align-items-center align-content-center flex-column gap-2">
                                <form method="POST" action="{% url 'restart_game_in_pause' %}">
                                    {% csrf_token %}
                                    <input type="hidden" name="game-date" value="{{ name }}">
                                    <input type="submit" class="btn btn-success" value="Reprendre">
                                </form>
                                <form method="POST" action="{% url 'delete_game_in_pause' %}">
                                    {% csrf_token %}
                                    <input type="hidden" name="game-date" value="{{ name }}">
                                    <input type="submit" class="btn btn-danger" value="Supprimer">
                                </form>
                            </div>
                        </th>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

        </div>
    </div>
    {% else %}
    <div class="w-100 d-flex flex-column justify-content-center align-items-center align-content-center">
        <div class="alert alert-info" role="alert">
            Aucune partie en pause
        </div>
        <div>
            <a href="{% url 'init' %}" class="normal-link btn btn-success">
                Retour à l'accueil
            </a>
        </div>
    </div>
    {% endif %}

</main>

{% endblock main %}